Bug 463345 - RFE: disable history of users provided by ConsoleKit
RFE: disable history of users provided by ConsoleKit
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 20:10 EDT by Josh Lange
Modified: 2015-01-14 18:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Disable reloading of ck users from default (3.51 KB, application/octet-stream)
2008-09-24 16:13 EDT, Josh Lange
no flags Details

  None (edit)
Description Josh Lange 2008-09-22 20:10:34 EDT
Description of problem:
When gdm starts, all of the home directories of the recently logged in users get accessed. This causes a big problem on automated network home directories, because individual clients end up mounting a large number of users' directories.

On top of raising the bandwidth to our filers, we use kerberos, making it so that users get a large number of quota check permission denied errors every time they open a terminal (when the system attempts to get quota information).

I have the disable_user_list option set in the gconf, so there shouldn't be any 'per user' file access when gdm comes up.

On top of this, I can't seem to figure out where gdm is storing this list of recent users. I've basically grepped the whole disk on several clients, and deleted the utmp and wtmp.

Additional info:
I don't know exactly what file gdm is accessing (stracing gdm makes xorg spin on the computer's cpu for a really really long time), I would like to guess that it is trying to access ~/.face or similar.

Running version: gdm-2.22.0-6.fc10.i386
Comment 1 Josh Lange 2008-09-23 03:04:41 EDT
I looked into this a bit more. The problem is that a history of users is unconditionally getting loaded from ConsoleKit.

It would be nice to be able to disable this, possibly through adding a gconf key to conditionally call reload_ck_history in gdm/gui/simple-greeter/gdm-user-manager.c

It appears that just deleting the history works from my environment. I will likely use this fix, but it would be nice to see a uniform/easy way to disable this, so I may submit a patch in a few days, if no one responds/does it first.
Comment 2 Josh Lange 2008-09-24 16:13:17 EDT
Created attachment 317620 [details]
Disable reloading of ck users from default

Create an option to disable reloading of recently lgoged in users from consolekit. Also, disable reloading by default, heres my logic behind this:

1. Local users will be in the passwd file (gets loaded anyway)
2. All the rest of the accounts are probably networked users.

Problem with network users:
1. extra unnecessary ldap/nis lookups for user names
2. home directories get accessed, potentially (most likely) making an automounter mount them, and this can be expensive operation, when many clients are hammering filers for random users' directories
3. extra mount options (e.g. kerberos) can cause many permission denied errors to be displayed to users, when these directories are accessed, or even just mounted in some cases (e.g. quotacheck, etc).

For deployments where only a few people share clients, a system administrator can enable an option in the gconf to allow lookups of recent users.
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 11:29:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-06-21 11:31:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-06-21 11:34:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-06-21 11:37:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:43:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:47:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:49:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:51:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:52:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.